# Download Windows / Office

:::info[Note]

All download links available on our website lead to genuine files only.

:::

| Windows                                                                                                                                                                                         | Office                                                                             |
|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------|
| [Windows 11](windows_11_links.md)                                                                                                                                                               | [Office C2R Installers](https://gravesoft.dev/office_c2r_links) ❤️                 |
| [Windows 10](windows_10_links.md)                                                                                                                                                               | [Office C2R Custom Install](https://gravesoft.dev/office_c2r_custom)               |
| [Windows 10 / 11 Enterprise **LTSC**](windows_ltsc_links.md)                                                                                                                                    | [Office MSI VL (Old versions)](office_msi_links.md)                                |
| [Windows ARM64](windows_arm_links.md)                                                                                                                                                           | [Office For **Mac**](office_for_mac.md)                                            |
| [Windows 8.1](windows_8.1_links.md)                                                                                                                                                             |                                                                                    |
| [Windows 7](windows_7_links.md)                                                                                                                                                                 |                                                                                    |
| [Windows Vista](windows_vista_links.md)                                                                                                                                                         |                                                                                    |
| [Windows XP](windows_xp_links.md)                                                                                                                                                               |                                                                                    |
| [Windows Server](windows_server_links.md)                                                                                                                                                       |                                                                                    |
| Windows Insider [10 / 11](https://www.microsoft.com/en-us/software-download/windowsinsiderpreviewiso) - [Server](https://www.microsoft.com/en-us/software-download/windowsinsiderpreviewserver) |                                                                                    |


:::tip

You can contact us [here](https://discord.gg/tVFN4N84PP) if you need any other Windows / Office files.

:::

---

## Verify Authenticity Of Files

You can use the [file hashing method](https://en.wikipedia.org/wiki/File_verification) to verify if a file is genuine. This can be done using tools like [7-Zip](https://7-zip.org/) (After installing 7-Zip, right-click on the ISO file and go to 7-Zip > CRC SHA).

There are many places where you can find these checksums for verification. Examples can be found below.

 -  [files.rg-adguard](https://files.rg-adguard.net/search) (the most complete collection)
 -  [MVS dump](https://awuctl.github.io/mvs/)
 -  [genuine-iso-verifier](https://genuine-iso-verifier.weebly.com/)
 -  [msdn.rg-adguard](https://msdn.rg-adguard.net/)
 -  [sha1.rg-adguard](https://sha1.rg-adguard.net/)
 -  Google

Microsoft's Official free links for checksums:

 -	[MVS](https://my.visualstudio.com/Downloads)
 -	[Windows 11](https://www.microsoft.com/software-download/windows11)
 -	[Windows 10](https://www.microsoft.com/software-download/windows10)

<details>
  <summary>More info on Official links!</summary>

**MVS**  
On MVS, you need to login and click on 'All Downloads' button and then search the product name.  

**MVS Limitations:**  
 -	They used to publish only SHA-1, but later started publishing SHA-1 and SHA-256 both and from 2022 they now publish only SHA-256.  
 -	However they removed all the SHA-1 data and as a result, old files checksums are simply not available on MVS site.  
 -	Also, around the time when they were publishing SHA-1 and SHA-256 both, they messed up some SHA-256 data, for example 
 	```
 	Incorrect SHA-256 example
 	SHA256: BDB3D0C5C933B201ECE736A172FB604AA5D7D0705DD75681F9FCC4B1EE79FAC8
 	File name: en-uk_windows_10_enterprise_ltsc_2019_x64_dvd_723dfbc1.iso
 	```
 -	So its useful only for the latest files.

**Windows 11**  
SHA-256 list will appear if you download the ISO file.

**Windows 10**  
Microsoft doesn't allow you to download ISO file directly if browser's useragent is Windows OS. So you need to change it to something else like Android or IOS and then download the ISO file to see the list.

</details>

---

### Video Tutorial

import ReactPlayer from 'react-player'

<ReactPlayer controls width='100%' height='auto' url='/how_to_verify_files.mp4' />

---

## Need help?

Check [here](contactus.md).
